Ramp: Create a user invite — request body — body
Create a user invite: request body, field body. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Create a user invite — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
department_id | string | Optional | Unique identifier of the employee’s department Format: uuid |
direct_manager_id | string | Optional | Unique identifier of the employee’s direct manager Format: uuid |
email | string | Required within parent | The employee’s email address Format: email |
first_name | string | Required within parent | First name of the employee Maximum length: 255 |
idempotency_key | string | Required within parent | an idempotency key is a unique value generated by the client which the server uses to recognize subsequent retries of the same request. To avoid collisions, we encourage clients to use random generated UUIDs. |
is_draft | boolean | Optional | When set to true, the user will be created as a draft. Draft users are not sent an invite email and must be explicitly activated later, which can be accomplished in-app or via the `POST /users/<string:user_id>/invite` resource. |
is_manager | boolean | Optional | Whether the employee is a manager |
last_name | string | Required within parent | Last name of the employee Maximum length: 255 |
location_id | string | Optional | Unique identifier of the employee’s location Format: uuid |
role | string | Required within parent | The employee’s role; It could be one of the following values: Admin, Cardholder, Bookkeeper; Note that Owner is not a invitable role. One of: AUDITOR, BUSINESS_ADMIN, BUSINESS_BOOKKEEPER, BUSINESS_OWNER, BUSINESS_USER, GUEST_USER, IT_ADMIN |
scheduled_deactivation_date | JSON | Optional | |
scheduled_deactivation_date (anyOf 1) | string | Alternative | The date when the user is scheduled to be deactivated. For guest users, this will automatically be set to 6 months from the invite creation date unless explicitly set to null. Cannot be set for admins or owners. Format: date |
scheduled_deactivation_date (anyOf 2) | null | Alternative |